Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0504-1: moderate: Security update for mupdf
openSUSE Security Update: Security update for mupdf
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0504-1
Rating: moderate
References: #1022503 #1022504 #1023760 #1023761 #1024679

Cross-References: CVE-2017-5627 CVE-2017-5628 CVE-2017-5896

Affected Products:
openSUSE Leap 42.2
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves three vulnerabilities and has two
fixes is now available.

Description:

This update for mupdf fixes the following vulnerabilities:

- CVE-2017-5627: Integer overflow in the mujs implementation (boo#1022503)
- CVE-2017-5628: Integer overflow in the mujs implementation (boo#1022504)
- CVE-2017-5896: heap overflow (boo#1023761, boo#1024679)
- NULL pointer dereference in dodrawpage (boo#1023760)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2017-271=1

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-271=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.2 (i586 x86_64):

mupdf-1.10a-11.2
mupdf-devel-static-1.10a-11.2

- openSUSE Leap 42.1 (i586 x86_64):

mupdf-1.10a-15.1
mupdf-devel-static-1.10a-15.1


References:

https://www.suse.com/security/cve/CVE-2017-5627.html
https://www.suse.com/security/cve/CVE-2017-5628.html
https://www.suse.com/security/cve/CVE-2017-5896.html
https://bugzilla.suse.com/1022503
https://bugzilla.suse.com/1022504
https://bugzilla.suse.com/1023760
https://bugzilla.suse.com/1023761
https://bugzilla.suse.com/1024679


< Previous Next >
This Thread
  • No further messages